> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Data Connectors

> List all active data connectors configured for your account



## OpenAPI

````yaml GET /data-connectors
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.9
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /data-connectors:
    get:
      tags:
        - Data Connectors
      summary: List all data connectors
      description: List all active data connectors configured for your account
      operationId: listDataConnectors
      responses:
        '200':
          description: A list of data connectors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataConnectorList'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DataConnectorList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          items:
            $ref: '#/components/schemas/DataConnector'
          description: Array of data connector objects
        total:
          type: integer
          description: Total number of data connectors
        limit:
          type: integer
          description: Number of items returned in this response
        offset:
          type: integer
          description: Offset from the start of the list
      required:
        - object
        - data
        - total
        - limit
        - offset
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    DataConnector:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the data connector
        object:
          type: string
          enum:
            - data_connector
          description: Object type, always 'data_connector'
        type:
          type: string
          enum:
            - s3
            - dropbox
            - google-drive
            - zoom
            - gong
            - recall
            - gcs
            - grain
          description: The type of data connector
        created_at:
          type: integer
          description: Unix timestamp in milliseconds when the data connector was created
        updated_at:
          type: integer
          description: >-
            Unix timestamp in milliseconds when the data connector config was
            last modified
        metadata:
          type: object
          description: >-
            Safe metadata for the connector (varies by type). Never includes
            tokens or secrets.
      required:
        - id
        - object
        - type
        - created_at
        - updated_at
        - metadata
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````